Subject: Re: bug#29785: [PATCH] Implement separate eww history

From: Eli Zaretskii <[email-masked]>
Date: Wed, 20 Dec 2017 18:54:25 +0200

> From: Robert Pluim <[email-masked]>
> Cc: [email-masked]
> Date: Wed, 20 Dec 2017 17:36:58 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Why should EWW usurp the history of URLs?
> 
> The patch does not change the existing history support of browse-url,
> so 'usurp' feels harsh.

It's just a word.  It feels strange to me to call URL history by name
that includes "eww" as a substring.  IMO it should be a general URL
history, like we have for files.

But that's just one opinion.

> I could make the argument that URLs visited via browse-url are
> passed to an external browser, so it's not up to Emacs to remember
> that history, unlike ones visited internally using EWW.

url-history.el seems to disagree.

> >> ++++
> >> +*** The new user variable 'eww-separate-history' causes eww to use a
> >> +separate minibuffer history if non-nil
> >
> > Period at the end of a sentence, and also EWW should be capitalized, I
> > think.
> >
> > Btw, I see lately some kind of tendency to write long multi-line
> > sentences at the beginning of NEWS entries.  This is the opposite of
> > what we should try doing: NEWS is visited in Outline mode, so we
> > should facilitate that by having short headers, to allow users hide
> > the text of the entry.
> 
> There appears to be quite a mix of those two styles in NEWS. I'll see
> what I can do to cut down the initial sentence.

Thanks.  In many cases, like this one, it's very simple:

  *** New user variable 'eww-separate-history'.
  If non-nil, this causes EWW to use a separate minibuffer history.
  The default is nil.